#!/bin/sh

TOOLCHAIN=gph
#TOOLCHAIN=open2x-dyn
#TOOLCHAIN=open2x

case $TOOLCHAIN in
gph)
	TOOLS=/gp2xsdk/Tools/arm-gp2x-linux/bin
	CFLAGS="-O2 -Wall `$TOOLS/arm-linux-sdl-config --cflags`"
	LDFLAGS="-lSDL_ttf -lfreetype `$TOOLS/arm-linux-sdl-config --libs`"
	CC=$TOOLS/gcc
	STRIP=$TOOLS/strip
	;;
open2x-dyn)
	TOOLS=/opt/open2x/gcc-4.1.1-glibc-2.3.6/bin
	CFLAGS="-O2 -Wall `$TOOLS/sdl-config --cflags`"
	LDFLAGS="-lSDL_ttf -lfreetype `$TOOLS/sdl-config --libs`"
	CC=$TOOLS/arm-open2x-linux-gcc
	STRIP=$TOOLS/arm-open2x-linux-strip
	;;
open2x)
	TOOLS=/opt/open2x/gcc-4.1.1-glibc-2.3.6/bin
	CFLAGS="-O2 -Wall `$TOOLS/sdl-config --cflags`"
	LDFLAGS="-static -lSDL_ttf -lfreetype `$TOOLS/sdl-config --static-libs`"
	CC=$TOOLS/arm-open2x-linux-gcc
	STRIP=$TOOLS/arm-open2x-linux-strip
	;;
*)
	echo Unknown toolchain: $TOOLCHAIN >&2
	exit 1
esac

echo $CC $CFLAGS -o touch.gpe touch.c $LDFLAGS 
$CC $CFLAGS -o touch.gpe touch.c $LDFLAGS 
echo $STRIP touch.gpe
$STRIP touch.gpe
